package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyTestPaper;

/**
 * 选科测试卷Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestPaperMapper 
{
    /**
     * 查询选科测试卷
     * 
     * @param paperId 选科测试卷ID
     * @return 选科测试卷
     */
    public SyTestPaper selectSyTestPaperById(Long paperId);

    /**
     * 查询选科测试卷列表
     * 
     * @param syTestPaper 选科测试卷
     * @return 选科测试卷集合
     */
    public List<SyTestPaper> selectSyTestPaperList(SyTestPaper syTestPaper);

    /**
     * 新增选科测试卷
     * 
     * @param syTestPaper 选科测试卷
     * @return 结果
     */
    public int insertSyTestPaper(SyTestPaper syTestPaper);

    /**
     * 修改选科测试卷
     * 
     * @param syTestPaper 选科测试卷
     * @return 结果
     */
    public int updateSyTestPaper(SyTestPaper syTestPaper);

    /**
     * 删除选科测试卷
     * 
     * @param paperId 选科测试卷ID
     * @return 结果
     */
    public int deleteSyTestPaperById(Long paperId);

    /**
     * 批量删除选科测试卷
     * 
     * @param paperIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestPaperByIds(Long[] paperIds);
}
